import 'dart:io';
import 'option.dart';

class Terminal {
  const Terminal();

  void printPromts(String promt) {
    stdout.writeln(promt);
  }

  void printOptions(List<Option> options) {
    options.asMap().forEach((index, option) {
      stdout.writeln('[$index] - ${option.label}');
    });
  }

  
  String collectInput() {
    return stdin.readLineSync();
  }

  void clearScreen() {
    if (Platform.isWindows) {
      stdout.write("\x1B[2J\x1B[0f");
    } else {
      stdout.write("\x1B[2J\x1B[3J\x1B[H");
    }
  }
}
